For the complete documentation index, see llms.txt. This page is also available as Markdown.

创建速充订单

创建速充订单

post
Query parameters
resource_typestring · enumRequired

ResourceType, ENERGY | BANDWIDTH

Possible values:
quantityinteger · int32Required

购买的能量数(>=500000), 带宽数(>=50000)

receiverstringRequired

接收资源的地址

client_order_idstringOptional

客户端订单ID

Header parameters
CF-ACCESS-KEYstringRequired

The API Access key as a string API所使用的KEY

Example: your api key
CF-ACCESS-SIGNstringRequired

The Base64-encoded signature (see signing messages subsection for details) 使用HMAC SHA256哈希函数获得哈希值,再使用Base-64编码(请参阅签名)

Example: signature
CF-ACCESS-TIMESTAMPstringRequired

The UTC timestamp of your request .e.g : 2008-08-08T08:08:08.888Z 发起请求的时间(UTC),如:2008-08-08T08:08:08.888Z

Responses
200

OK

application/json
codeinteger · int32Optional

成功返回0,其他均为错误

msgstringOptional

发生错误时候返回的消息

sub_codestringOptional
sub_msgstringOptional
post/v1/flash/open/order
POST /v1/flash/open/order?resource_type=ENERGY&quantity=1&receiver=text HTTP/1.1
Host: api.catfee.io
CF-ACCESS-KEY: text
CF-ACCESS-SIGN: text
CF-ACCESS-TIMESTAMP: text
Accept: */*
200

OK

{
  "code": 1,
  "msg": "text",
  "sub_code": "text",
  "sub_msg": "text",
  "data": {
    "id": "text",
    "client_order_id": "text",
    "resource_type": "ENERGY",
    "source_type": "TRANSFER",
    "pay_timestamp": 1,
    "receiver": "text",
    "delegate_hash": "text",
    "delegate_timestamp": 1,
    "reclaim_hash": "text",
    "reclaim_timestamp": 1,
    "pay_amount_sun": 1,
    "activate_amount_sun": 1,
    "quantity": 1,
    "staked_sun": 1,
    "duration": "text",
    "expired_timestamp": 1,
    "status": "UNPAID",
    "activate_status": "DEACTIVATE",
    "confirm_status": "UNCONFIRMED"
  }
}

Last updated